Subject: bug#16806: closed (Re: bug#16806: 24.3.50; disabling fringes breaks horizontal image scrolling)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Feb 2014 17:35:03 +0000

Your bug report

#16806: 24.3.50; disabling fringes breaks horizontal image scrolling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16806: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16806
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16806: 24.3.50; disabling fringes breaks horizontal image scrolling
From: Eli Zaretskii <[email-masked]>
To: henry atting <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Feb 2014 19:34:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: henry atting <[email-masked]>
> Date: Wed, 19 Feb 2014 06:47:10 +0100
> 
> 
>  GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
>  of 2014-02-08 
> 
> I disable fringes for instance with this setting in ~/.emacs
> 
> (set-fringe-mode 0)
> 
> Then horizontal scrolling images won't work anymore. As far as I can
> see it does not affect vertical image scrolling.
> 
> Enabling fringes brings back the intendend behaviour, scrolling
> both ways works.

Thanks, this is fixed in trunk revision 116480.

Subject: 24.3.50; disabling fringes breaks horizontal image scrolling
From: henry atting <[email-masked]>
To: [email-masked]
Date: Wed, 19 Feb 2014 06:47:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

 GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.6)
 of 2014-02-08 

I disable fringes for instance with this setting in ~/.emacs

(set-fringe-mode 0)

Then horizontal scrolling images won't work anymore. As far as I can
see it does not affect vertical image scrolling.

Enabling fringes brings back the intendend behaviour, scrolling
both ways works.